db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rick Hillegas <rick.hille...@oracle.com>
Subject Re: Building Derby 10.8.3.0
Date Fri, 15 Feb 2013 19:21:03 GMT

>
> So look like not so easy to build Derby after all :-)
>
>
Hi Oskar,

Derby is expected to run on CDC/FP 1.1, Java 5, Java 6, Java 7, and 
(soon) Java 8. On each platform Derby is supposed to present the JDBC 
api appropriate to that level of Java. This makes the Derby build a bit 
involved. The instructions for building Derby can be found at the top of 
the subversion source in BUILDING.html. If you're not having any luck 
setting j16lib, the next line of attack is generally to set 
java16compile.classpath. As Kathey said, setting 
"printCompilerProperties=true" will give you diagnostic information to 
help us diagnose what's peculiar about your environment.

Hope this helps,
-Rick

Mime
View raw message